Create a payout (CNY)

POST /v2/b2b/currents/createCnyOrder

Request

{
    "instructedAmount":{
        "currency":"String",
        "amount":10
    },
    "exchange":{ 
        "originCurrency":"String",
        "targetCurrency":"String"
    },
    "remittancePurposeCode": "String",
    "outOrderId":"String",
    "receiver":{
        "bankCountry":"String",
        "bankName":"String",
        "bankAccountCurrency":"String",
        "bankAccountNumber":"String",
        "bankAccountName":"String",
        "bankCode":"String",
        "bankBranchName":"String",
        "province":"String",
        "city":"String",
        "idCardNumber":"String",
        "cardHoldType":"String"
    },
    "type": "String",
    "platform": "String"
}
ParameterTypeRequriedDescription
instructedAmount.currencystringYesthe currency code. See section Appendix A - Currency Codes for the currencies enum.
instructedAmount.amountnumberYesReceived amount
exchange.originCurrencystringYesPayer account currency. See section Appendix A - Currency Codes for the currencies enum.
exchange.targetCurrencystringYesReceiver account currency. See section Appendix A - Currency Codes for the currencies enum.
outOrderIdstringNoExternal system order number
remittancePurposeCodestringYesRemittance Purpose Code. See section Appendix C - Remittance Purpose Code for the country enum.
typestringYesWITHDRAW,SUPPLIER
platformstringNoplatform
receiver.bankCountrystringYesBank Location.See section Appendix B - Country or Area for the country enum.
receiver.bankNamestringYesBank name.
receiver.bankAccountCurrencystringYesaccount currency.
receiver.bankAccountNumberstringYesbank card id
receiver.bankAccountNamestringYesThe name on the card
receiver.bankCodestringNobank code
receiver.bankBranchNamestringNobank address
receiver.provincestringNoprovince
receiver.citystringNocity
receiver.idCardNumberstringYesID number
receiver.cardHoldTypestringYesPersonal

Response

{
    "code": 0,
    "message": "OK",
    "data": {
        "payMoney": {
            "currency": "String",
            "amount": 5.05
        },
        "targetMoney": {
            "currency": "String",
            "amount": 10.00
        },
        "serviceCharge": {
            "feeRate": null,
            "cutFeeRate": null,
            "fee": {
                "currency": "String",
                "amount": 0.05
            },
            "cutFee": {
                "currency": "String",
                "amount": 0.00
            },
            "finalFee": {
                "currency": "String",
                "amount": 0.05
            },
            "fixFee": {
                "currency": "String",
                "amount": 0.0
            },
            "lessThanMinPayoutFee": {
                "currency": "String",
                "amount": 0
            },
            "minPayout": {
                "currency": "String",
                "amount": 0.0
            }
        },
        "orderId": "String",
        "status": "String",
        "failReason": null,
        "remark": "String",
        "receiver": {
            "bizId": "String",
            "outOrderId": null,
            "bankAccountNumber": "String",
            "bankAccountName": "String",
            "bankName": "String",
            "firstName": "String",
            "lastName": null,
            "userNick": null
        },
        "lockRateId": null,
        "exchange": {
            "originCurrency": "String",
            "targetCurrency": "String",
            "rateId": null,
            "exchangeRate": 2
        },
        "deliveryDate": null
    }
}
ParameterTypeDescription
payMoneyjsonPingPong account should pay amount of money
targetMoneyjsonReceiver finally will receiver amount of money
serviceCharge.finalFeejsonPingPong Service Charge
orderIdstringOrder ID
statusstringThe payment status, can be one of: pending success fail.
receiverjsonReceiver Bank Info
exchangejsonPingPong Exchange Info
On this page